Page MenuHomePhabricator

Template dialog doesn't focus input after update to jQuery 3
Closed, ResolvedPublic1 Story Points

Description

Probably linked to changes in promises affecting dialogs

Event Timeline

Esanders created this task.May 23 2017, 4:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2017, 4:54 PM
Volker_E triaged this task as Normal priority.May 29 2017, 4:09 PM

This is still reproducible after the upgrade to OOjs UI v0.22.1.

matmarex claimed this task.Jun 1 2017, 2:04 PM

ve.ui.MWTemplateDialog tries to set the focus in its setup process. I'm not sure why this ever worked, the dialog is not supposed to be visible at this point, so you can't focus anything in it. It should use the ready process.

matmarex removed a project: OOUI.Jun 1 2017, 2:05 PM

Change 356595 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.ui.MWTemplateDialog: Use normal #getReadyProcess instead of custom stuff

https://gerrit.wikimedia.org/r/356595

Change 356595 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.ui.MWTemplateDialog: Use normal #getReadyProcess instead of custom stuff

https://gerrit.wikimedia.org/r/356595

Jdforrester-WMF closed this task as Resolved.Jun 1 2017, 6:37 PM
Jdforrester-WMF set the point value for this task to 1.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 1 2017, 6:37 PM